Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 206262 - Can't handle URIs
Can't handle URIs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gtorrentviewer (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 06:49 EDT by Denis Leroy
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-26 17:12:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes desktop file exec argument (420 bytes, patch)
2006-09-26 03:56 EDT, Denis Leroy
no flags Details | Diff

  None (edit)
Description Denis Leroy 2006-09-13 06:49:26 EDT
gtorrentviewer cannot open a file described by a standard URI such as
"file:///foo.torrent" or "http://xxx".

Unfortunately, the desktop file contains a MimeType entry that registers
gtorrentviewer as a valid recipient for torrent files. So if you try to open a
torrent file from Nautilus with gtorrentviewer, gtorrentviewer can't open it
(Log tab says "no such file or directory"). Same if you execute a torrent link
from a web browser.

2 solutions:

1) write a quick patch to add the URI support. Should be simple, as I believe
Gnome provides all that you need. I can help with the patch too.

2) Remove the MimeType entry from the desktop file, so that gtorrentviewer does
not show up as application when you right-click on a torrent file in Nautilus.
Comment 1 Paul Howarth 2006-09-13 06:53:52 EDT
If you can provide a patch, it would be very useful. I'm not familiar with
programming in Gnome and upstream for this project appears to have gone away.
Comment 2 Denis Leroy 2006-09-26 03:56:12 EDT
Created attachment 137113 [details]
Fixes desktop file exec argument

Actually, the solution is simpler than that. The desktop file should not
specify %U (means: accepts one or more URIs), but rather it should use %f
(accepts a single file argument). I looked at the code and it only supports a
single file as main argument. Drag'n'drop torrent files works correctly, as it
follows a different code path. Patch attached :-)
Comment 3 Paul Howarth 2006-09-26 11:32:30 EDT
Patch is included in 0.2b-11, which should get released soon for FC-4, FC-5, and
devel.
Comment 4 Denis Leroy 2006-09-26 17:12:25 EDT
Fix verified. Thanks!

Note You need to log in before you can comment on or make changes to this bug.